Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TkReactorID Class Reference

This little class is necessary due to the way that Microsoft implements sockets to be pointers rather than indices. More...

`#include <TkReactor.h>`

List of all members.

## Public Attributes
ACE_HANDLE | handle_
| Underlying handle.
ACE_TkReactorID * | next_
| Pointer to next node in the linked list.

## Detailed Description

This little class is necessary due to the way that Microsoft implements sockets to be pointers rather than indices.

## Member Data Documentation

ACE_HANDLE ACE_TkReactorID::handle_

| Underlying handle.

ACE_TkReactorID* ACE_TkReactorID::next_

| Pointer to next node in the linked list.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TkReactor.h